.TH artsnexthopagg
.SH NAME
artsnexthopagg \- utility to aggregate nexthop table objects in time domain
.SH SYNOPSIS
artsnexthopagg [-v] [-h hours] [-o] [-q] outfile infile(s)
.SH DESCRIPTION
.I artsnexthopagg
is a utility that reads nexthop table objects from ARTS files
(\fIinfile(s)\fR) and aggregates them in the time domain, placing the
resulting nexthop table object(s) into an output file (\fIoutfile\fR).
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIartsnexthopagg\fR to print version information
and exit immediately.
.IP "\fB-h hours"
The \fI-h hours\fR option may be used to specify the period of aggregation,
in hours.  The \fIhours\fR argument accepts a decimal value to permit
aggregation by fractional hour values.  When the \fI-h hours\fR option is
not used, \fIartsnexthopagg\fR will write a single nexthop table object
for the entire time interval seen in \fIinfile(s)\fR to \fIoutfile\fR.
.IP "\fB-o"
By default, \fIartsnexthopagg\fR appends to the output file, so you may
accumlate aggregate nexthop table objects in a single file over multiple
invocations of \fIartsnexthopagg\fR.  You may override this behavior with the
\fI-o\fR option.  This will cause \fIartsnexthopagg\fR to overwrite the output
file instead of appending to it.
.IP "\fB-q"
By default, \fIartsnexthopagg\fR prints a '.' for each nexthop table
object it reads and prints a '+' for each object it writes.  You may
suppress this behavior with the \fI-q\fR (quiet) option.
.SH EXAMPLES
.IP "artsnexthopagg -h 1.0 /tmp/nexthop1hr.19980821 arts.19980821"
.SH SEE ALSO
artsnexthops(l), artsprotoagg(l), artsprotos(l), artsdump(l), artsases(l), 
artsasagg(l), artsnets(l), artsnetagg(l), artsportagg(l), artsports(l), 
artstoc(l), jcdstasbar(l), jcsrcasbar(l)
.SH ACKNOWLEDGEMENTS
\fBartsprotoagg \fRand documentation written by Daniel W. McRobb
.br
CAIDA, August 1998

