.\" @(#) $Name: arts++-0-9-b6 $ $Id: artsportmagg.man,v 1.3 1998/10/13 17:26:32 dwm Exp $
.TH artsportmagg l LOCAL
.SH NAME
artsportmagg \- utility to aggregate port matrix objects in time domain
.SH SYNOPSIS
artsportmagg [-v] [-s portlist] [-h hours] [-o] [-q] outfile infile(s)
.SH DESCRIPTION
.I artsportmagg
is a utility that reads port matrix objects from ARTS files (\fIinfile(s)\fR)
and aggregates them in the time domain, placing the resulting port matrix
object(s) or selected port table object(s) into an output file 
(\fIoutfile\fR).
.SH OPTIONS
.IP "\fB-v"
The \fI-v\fR option causes \fIartsportmagg\fR to print version information
and exit immediately.
.IP "\fB-s portlist"
The \fI-s portlist\fR option is used to select a set of ports to be
placed in ArtsSelectedPortTable objects in the output file.  In other
words, instead of writing port matrix objects, we write selected port table
objects.  A selected port table object does not retain the source to
destination port information, but instead lumps traffic into the lower
of the source or destination port for ports in \fIportlist\fR and lumps
those that aren't in \fIportlist\fR into the niput counters for port 0.

\fIportlist\fR may contain hyphens (indicating an inclusive range) or
commas.  For example, \fI-s 1-1024,6000,7070\fR would select ports
1 through 1024 (inclusive), port 6000 and port 7070.  All traffic for
ports outside of these values would be lumped into counters for port 0.
.IP "\fB-h hours"
The \fI-h hours\fR option may be used to specify the period of aggregation,
in hours.  The \fIhours\fR argument accepts a decimal value to permit
aggregation by fractional hour values.  When the \fI-h hours\fR option is
not used, \fIartsportmagg\fR will write a single port matrix object for the
entire time interval seen in \fIinfile(s)\fR to \fIoutfile\fR.
.IP "\fB-o"
By default, \fIartsportmagg\fR appends to the output file, so you may
accumlate aggregate port matrix objects in a single file over multiple
invocations of \fIartsportmagg\fR.  You may override this behavior with the
\fI-o\fR option.  This will cause \fIartsportmagg\fR to overwrite the output
file instead of appending to it.
.IP "\fB-q"
By default, \fIartsportmagg\fR prints a '.' for each port matrix object it
reads and prints a '+' for each object it writes.  You may suppress this 
behavior with the \fI-q\fR (quiet) option.
.SH EXAMPLES
.IP "artsportmagg -h 1.0 /tmp/portmagg1hr.19980821 arts.19980821
.SH SEE ALSO
artsportms(l), artsportagg(l), artsports(l), artsdump(l), artsases(l), 
artsasagg(l), artsnets(l), artsnetagg(l), artsprotoagg(l), artsprotos(l), 
artstoc(l), jcdstasbar(l), jcsrcasbar(l)
.SH ACKNOWLEDGEMENTS
\fBartsportagg \fRand documentation written by Daniel W. McRobb
.br
CAIDA, August 1998

